#include <bits/stdc++.h>
using namespace std;
 
const int MAX=1001;
int niz[MAX];
 
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, l;
	cin>>n>>l;
	for(int i=0; i<n; i++){
		cin>>niz[i];
	}
	bool a = true;
	for(int i=0; i<n; i++){
		if(l>=niz[i]){
			cout<<i+1;
			a=false;
			break;
		}
	}
	if(a){
		cout << -1;
	}
	return 0;
}